Linux/Tipps/Gentoo/Bugs: Unterschied zwischen den Versionen

Aus VivaLV
< Linux‎ | Tipps‎ | Gentoo
Wechseln zu: Navigation, Suche
(Mit 64 Bit Kernel ist das System überlastet beim Kopieren auf externe USB-Platte)
(Mit 64 Bit Kernel ist das System überlastet beim Kopieren auf externe USB-Platte)
 
Zeile 294: Zeile 294:
 
  echo $((16*1024*1024)) > /proc/sys/vm/dirty_background_bytes
 
  echo $((16*1024*1024)) > /proc/sys/vm/dirty_background_bytes
 
  echo $((48*1024*1024)) > /proc/sys/vm/dirty_bytes
 
  echo $((48*1024*1024)) > /proc/sys/vm/dirty_bytes
 +
 +
==Segfault in libmysqlclient im system log==
 +
emerge -1 dev-perl/DBD-mysql
  
 
=Blocker=
 
=Blocker=

Aktuelle Version vom 29. September 2018, 22:40 Uhr

Inhaltsverzeichnis

Bugs

VMware mit Kernel >=2.6.26

http://bugs.gentoo.org/show_bug.cgi?id=254524

VMware ist momentan problematisch mit Kernel 2.6.26 oder 2.6.27 zum Laufen zu bringen.

Diese Pakete funktionieren:

  • app-emulation/vmware-modules-1.0.0.15-r2
  • app-emulation/vmware-workstation-5.5.9.126128
  • app-emulation/vmware-server-1.0.8.126538

Workstation 5.5.7 und Server 2.0 funktionieren momentan nicht mit Kernel 2.6.27.

Mit Kernel 2.6.29 und 2.6.30 compilieren momentan die Module nicht, siehe http://bugs.gentoo.org/show_bug.cgi?id=273173

PXE mit baselayout-1.12.11.1 und util-linux-2.14.1

http://bugs.gentoo.org/show_bug.cgi?id=252977

Mit dieser Kombination an Paketen kann ein PXE-Client nicht booten, weil /etc/init.d/checkroot das NFS Root nicht rw remountet.

Workaround:

Einen if in /etc/init.d/checkroot auskommentieren:

        # Should we mount root rw ?  the touch check is to see if the / is
        # already mounted rw in which case there's nothing for us to do
#       if mount -vf -o remount / 2> /dev/null | \
#          awk '{ if ($6 ~ /rw/) exit 0; else exit 1; }' && \
#          ! touch -c / >& /dev/null
#       then
                ebegin "Remounting root filesystem read/write"
                mount -n -o remount,rw / &> /dev/null
                if [[ $? -ne 0 ]] ; then
                        eend 2 "Root filesystem could not be mounted read/write :("
                        if [[ ${RC_FORCE_AUTO} != "yes" ]] ; then
                                sulogin ${CONSOLE}
                        fi
                else
                        eend 0
                fi
#       fi

Oder den Patch von http://bugs.gentoo.org/show_bug.cgi?id=252977 anwenden:

--- /etc/init.d/checkroot~	2009-01-11 20:57:15.446217000 -0500
+++ /etc/init.d/checkroot	2009-01-11 20:57:15.446217000 -0500
@@ -71,7 +71,7 @@
 
 	# Should we mount root rw ?  the touch check is to see if the / is
 	# already mounted rw in which case there's nothing for us to do
-	if mount -vf -o remount / 2> /dev/null | \
+	if mount -vfi -o remount / 2> /dev/null | \
 	   awk '{ if ($6 ~ /rw/) exit 0; else exit 1; }' && \
 	   ! touch -c / >& /dev/null
 	then

PXE mit NFS-Options in nfsroot und genkernel

http://bugs.gentoo.org/show_bug.cgi?id=262915

Die initrd-Scripts von genkernel können nicht mit NFS mount Options umgehen, die üblicherweise optional bei nfsroot mit "," angehängt werden können:

nfsroot=<Server>:<Pfad>[,<NFS-Options]

In diesem Fall versuchen die Scripts <Pfad>,<NFS-Options> zu mounten, was dann natürlich fehlschlägt.

Workaround für genkernel-3.4.10-r2

Patch von http://bugs.gentoo.org/show_bug.cgi?id=262915 anwenden und Kernel/initrd mit genkernel neu erstellen:

--- /usr/share/genkernel/generic/initrd.scripts.orig    2009-03-17 19:44:39.000000000 +0100
+++ /usr/share/genkernel/generic/initrd.scripts 2009-03-18 12:37:20.000000000 +0100
@@ -260,8 +260,14 @@
                                        bad_msg "NFS Mounting failed. Is the path corrent ?"
                                fi
                        else
-                               good_msg "Attempting to mount NFS root on ${NFSROOT}"
-                               mount -t nfs -o ro,nolock,rsize=1024,wsize=1024 ${NFSROOT} ${NEW_ROOT}
+                               NFSOPTIONS=${NFSROOT#*,}
+                               NFSROOT=${NFSROOT%%,*}
+                               if [ "${NFSOPTIONS}" = "${NFSROOT}" ]
+                               then
+                                       NFSOPTIONS="ro,nolock,rsize=1024,wsize=1024"
+                               fi
+                               good_msg "Attempting to mount NFS root on ${NFSROOT} with options ${NFSOPTIONS}"
+                               mount -t nfs -o ${NFSOPTIONS} ${NFSROOT} ${NEW_ROOT}
                                if [ "$?" = '0' ]
                                then
                                        REAL_ROOT="/dev/nfs"

Workaround für genkernel-3.4.10-904

--- /usr/share/genkernel/defaults/initrd.scripts.orig   2009-06-14 18:17:51.000000000 +0200
+++ /usr/share/genkernel/defaults/initrd.scripts        2009-06-12 23:25:56.000000000 +0200
@@ -245,8 +245,14 @@
                                        bad_msg "NFS Mounting failed. Is the path corrent ?"
                                fi
                        else
-                               good_msg "Attempting to mount NFS root on ${NFSROOT}"
-                               mount -t nfs -o ro,nolock,rsize=1024,wsize=1024 ${NFSROOT} ${NEW_ROOT}
+                                NFSOPTIONS=${NFSROOT#*,}
+                                NFSROOT=${NFSROOT%%,*}
+                                if [ "${NFSOPTIONS}" = "${NFSROOT}" ]
+                                then
+                                        NFSOPTIONS="ro,nolock,rsize=1024,wsize=1024"
+                                fi
+                                good_msg "Attempting to mount NFS root on ${NFSROOT} with options ${NFSOPTIONS}"
+                                mount -t nfs -o ${NFSOPTIONS} ${NFSROOT} ${NEW_ROOT}
                                if [ "$?" = '0' ]
                                then
                                        REAL_ROOT="/dev/nfs"

Workaround für genkernel-3.4.10-907

--- /usr/share/genkernel/defaults/initrd.scripts.orig     2010-12-05 17:25:19.000000000 +0100
+++ /usr/share/genkernel/defaults/initrd.scripts  2010-12-05 17:28:09.000000000 +0100
@@ -245,8 +245,14 @@
                                        bad_msg "NFS Mounting failed. Is the path corrent ?"
                                fi
                        else
-                               good_msg "Attempting to mount NFS root on ${NFSROOT}"
-                               mount -t nfs -o ro,nolock,rsize=1024,wsize=1024 ${NFSROOT} ${NEW_ROOT}
+                                NFSOPTIONS=${NFSROOT#*,}
+                                NFSROOT=${NFSROOT%%,*}
+                                if [ "${NFSOPTIONS}" = "${NFSROOT}" ]
+                                then
+                                        NFSOPTIONS="ro,nolock,rsize=1024,wsize=1024"
+                                fi
+                                good_msg "Attempting to mount NFS root on ${NFSROOT} with options ${NFSOPTIONS}"
+                                mount -t nfs -o ${NFSOPTIONS} ${NFSROOT} ${NEW_ROOT}
                                if [ "$?" = '0' ]
                                then
                                        REAL_ROOT="/dev/nfs"

OpenOffice mit Qtcurve in einer NX Session

Dabei gibt es mindestens 2 Probleme:

http://bugs.gentoo.org/show_bug.cgi?id=262908

http://bugs.gentoo.org/show_bug.cgi?id=262910 (fixed)

Rechner bleibt beim Shutdown hängen (fixed)

Es kann vorkommen, dass der Rechner beim Shutdown hängen bleibt bei Unloading ALSA modules. Dies trat bei mir ab Kernel 2.6.29 auf. Offenbar werden die ALSA-Module manchmal in der falschen Reihenfolge entladen.

Workaround in /etc/conf.d/alsasound:

UNLOAD_ON_STOP="no"

Siehe auch http://bugs.gentoo.org/232875 und http://bugs.gentoo.org/253535.

mythmusic compiliert nicht mit faad2-2.7

Das ist ein Fehler in mythmusic, der bald behoben wird.

Workaround:

  • ebuild `equery w mythmusic` compile
  • wait for build to fail
  • cd /var/tmp/portage/media-plugins/mythmusic-0.21_p20563/work/branches/release-0-21-fixes/mythplugins/mythmusic/mythmusic
  • edit metaiomp4.cpp
  • add before #include "metaiomp4.h":
#include "config.h"
  • ebuild `equery w mythmusic` merge

Siehe auch http://bugs.gentoo.org/275008.

revdep-rebuild will jedesmal cpufreqd neu installieren

/etc/portage/package.use:

sys-power/cpufreqd -nvidia

Siehe auch http://bugs.gentoo.org/268701.

media-plugins/gst-plugins-theora oder media-libs/xine-lib lässt sich wegen fehlenden .la Dateien nicht installieren

emerge --update lafilefixer
lafilefixer --justfixit

Nach Installation von baselayout-1.12.13 wird proc nicht mehr schreibfähig gemountet

Beim Booten "i" drücken und in die Shell wechseln. Dann:

rm -rf /proc/* /sys/*

Siehe auch https://bugs.gentoo.org/show_bug.cgi?id=291916 und http://forums.gentoo.org/viewtopic-t-801079.html.

Nach emerge kommt immer wieder die Meldung wegen preserved libs von e2fsprogs-libs-1.41.9

emerge --oneshot e2fsprogs e2fsprogs-libs
emerge --update lafilefixer
lafilefixer --justfixit
emerge --oneshot e2fsprogs e2fsprogs-libs

Siehe auch http://forums.gentoo.org/viewtopic-p-6051503.html.

Cannot find -luuid

Quelle: http://timmattison.com/blog/archives/2009/10/28/how-to_fix_the_cannot_find_-luuid_error_on_gentoo/index.html

emerge --update --deep --newuse -av util-linux e2fsprogs
revdep-rebuild

Nach Upgrade von Samba (3.0.37 -> 3.4.6) funktionieren die Shares nicht mehr

Außerdem kommen folgende Fehlermeldungen beim Start von Samba in /var/log/samba/log.smbd:

[2010/06/02 22:35:43,  0] smbd/server.c:457(smbd_open_one_socket)
  smbd_open_once_socket: open_socket_in: Die Adresse wird bereits verwendet
[2010/06/02 22:35:43,  0] smbd/server.c:457(smbd_open_one_socket)
  smbd_open_once_socket: open_socket_in: Die Adresse wird bereits verwendet
[2010/06/02 22:36:56,  0] smbd/server.c:1073(main)

Lösung:

pdbedit -i smbpasswd:/var/lib/samba/private/smbpasswd -e tdbsam:/var/lib/samba/private/passdb.tdb

/etc/samba/smb.conf ([global] Section):

passdb backend = tdbsam

Danach kommen zwar immer noch die Fehlermeldungen im Log, aber die Shares funktionieren wieder.

Einige Programme compilieren nicht, weil sie libpng12 nicht finden, nachdem libpng14 zusätzlich installiert wurde

Variante 1 (die meisten Programme verwenden weiterhin libpng12):

  • /usr/sbin/libpng-1.4.x-update.sh
  • lafilefixer --justfixit
  • revdep-rebuild
  • emerge -1 cairo pango libglade gtk+

Variante 2 (Umstellung aller möglichen Programme auf libpng14):

  • /usr/sbin/libpng-1.4.x-update.sh
  • emerge --unmerge =media-libs/libpng-1.2.44
  • rm /usr/lib*/libpng1.2*
  • revdep-rebuild
  • emerge --ask --update --deep --newuse world

Siehe auch http://forums.gentoo.org/viewtopic-t-827262-postdays-0-postorder-asc-start-0.html

Nach emerge kommt immer wieder die Meldung wegen preserved libs von media-libs/jpeg-6b-r9

emerge --oneshot =media-libs/jpeg-6b-r9

Nach emerge kommt immer wieder die Meldung wegen preserved libs von media-libs/libpng-1.2.44

emerge --oneshot =media-libs/libpng-1.2.44

x11-libs/qt-gui-4.6.3 lässt sich nicht compilieren

Lösung:

USE="-qt4" emerge -1 cairo
emerge --ask --update --deep --newuse world

Siehe auch http://bugs.gentoo.org/show_bug.cgi?id=336801.

Nach Installation von dev-lang/php-5.3.4 startet Apache nicht mehr

Lösung:

eselect php set apache2 php5.3
eselect php set cli php5.3

/etc/make.conf:

PHP_TARGETS="php5-3"

Die Datei php.ini für Apache ist jetzt /etc/php/apache2-php5.3/php.ini.

Siehe auch http://bugs.gentoo.org/show_bug.cgi?id=349173 und http://forums.gentoo.org/viewtopic-t-857058.html und http://www.gentoo.org/proj/en/php/php-guide.xml.

Nvidia-Treiber >= 275 stürzen ab beim Start von X

Lösung: Die Option UseEvents muss aus /etc/X11/xorg.conf entfernt werden.

lirc funktioniert nicht mehr mit Kernel >=2.6.36

Ab Kernel 2.6.36 sind die lirc-Module beim Kernel dabei, allerdings im Staging-Bereich, siehe hier.

lirc muss dann mit LIRC_DEVICES="userspace" in /etc/make.conf compiliert werden.

Außerdem muss /etc/conf.d/lircd angepasst werden (je nach Existenz von dev/lirc0 oder dev/lirc1):

LIRCD_OPTS="-d /dev/lirc0"

oder

LIRCD_OPTS="-d /dev/lirc1"

DVD-Laufwerk schließt sich sofort wieder nach dem Öffnen

/etc/sysctl.conf:

dev.cdrom.autoclose = 0:

Dann:

/etc/init.d/sysctl restart

media-gfx/splashutils-1.5.4.4 compiliert nicht wegen "undefined reference to `BZ2_bzDecompressInit'"

/etc/portage/package.use:

media-gfx/splashutils -truetype

Kernel-Panic mit Kernel 3.2 und manchen Netzwerkkartentreibern (z.B. forcedeth)

Lösung: Hardware IOMMU Support im Kernel ausschalten.

librsvg compiliert nicht wegen fehlendem cairo.h

emerge -1 gobject-introspection

python compiliert nicht in chroot wegen Access Violation in der Sandbox

mount /dev/shm

wenn /dev verfügbar ist, ansonsten

mount -t tmpfs none /dev/shm

kwin verbraucht 100% CPU bei einer zweiten X-Session, wenn Desktop-Effekte aktiv sind

Quelle: https://bugs.kde.org/show_bug.cgi?id=322060 und https://bbs.archlinux.org/viewtopic.php?id=173030
/usr/local/bin/kwin

#!/bin/bash
__GL_YIELD=USLEEP /usr/bin/kwin

/etc/X11/xorg.conf:

Section "Device"
    Option         "TripleBuffer" "True"
EndSection

KDE Powermanagement funktioniert nicht, upowerd läuft nicht, Superuser-Aktionen in systemsettings funktionieren nicht

emerge -1 dbus dbus-glib polkit consolekit

Mit 64 Bit Kernel ist das System überlastet beim Kopieren auf externe USB-Platte

Quelle: http://unix.stackexchange.com/questions/107703/why-is-my-pc-freezing-while-im-copying-a-file-to-a-pendrive

/etc/local.d/baselayout1.start:

echo $((16*1024*1024)) > /proc/sys/vm/dirty_background_bytes
echo $((48*1024*1024)) > /proc/sys/vm/dirty_bytes

Segfault in libmysqlclient im system log

emerge -1 dev-perl/DBD-mysql

Blocker

Blocker treten manchmal bei einem Update mit emerge auf. Blocker sind nicht immer echte Bugs. Manchmal kann Portage einfach die Abhängigkeiten nicht auflösen, weil sie zu komplex sind.

e2fsprogs-libs

http://bugs.gentoo.org/show_bug.cgi?id=234907

[ebuild  N    ] sys-libs/e2fsprogs-libs-1.41.0  USE="nls" 476 kB
[ebuild     U ] sys-fs/e2fsprogs-1.41.0 [1.40.11] USE="nls -static" 4,161 kB
[blocks B     ] <sys-fs/e2fsprogs-1.41 (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B     ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B     ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.0)

Auflösung (http://bugs.gentoo.org/show_bug.cgi?id=234907#c7):

  • emerge -NuDav --fetchonly world
  • emerge -C ss com_err e2fsprogs
  • emerge -NuDav --nodeps e2fsprogs-libs e2fsprogs
  • echo "sys-libs/com_err" >>/etc/portage/package.mask
  • echo "sys-libs/ss" >>/etc/portage/package.mask

kdelibs 4.2 und cmake

dev-util/cmake:0

('installed', '/', 'dev-util/cmake-2.6.2-r1', 'nomerge') pulled in by
>=dev-util/cmake-2.6.2 required by ('ebuild', '/', 'kde-base/kdelibs-4.2.0-r2', 'merge')
>=dev-util/cmake-2.6.2 required by ('ebuild', '/', 'kde-base/kdm-4.2.0-r1', 'merge')
(and 2 more)

('ebuild', '/', 'dev-util/cmake-2.4.8', 'merge') pulled in by
>=dev-util/cmake-2.4.6 required by ('ebuild', '/', 'kde-base/kdm-4.2.0-r1', 'merge')
>=dev-util/cmake-2.4.6 required by ('ebuild', '/', 'kde-base/kdelibs-4.2.0-r2', 'merge') 

Auflösung:
/etc/portage/package.keywords:

=dev-util/cmake-2.6.2-r1

sys-fs/device-mapper is blocking sys-fs/udev-146-r1

/etc/portage/package.use:

sys-apps/hal -crypt

Dann:

emerge --unmerge device-mapper
emerge --ask --update --deep --newuse world

Siehe auch http://bugs.gentoo.org/show_bug.cgi?id=285651 und http://bugs.gentoo.org/show_bug.cgi?id=284222.

net-dns/avahi is blocking net-misc/mDNSResponder-212.1

emerge --unmerge mDNSResponder

/etc/make.conf:
avahi mdnsresponder-compat zu USE hinzufügen. Dann:

emerge --update --deep --newuse world

x11-proto/glproto-1.4.15-r1 is blocking app-admin/eselect-opengl-1.2.6.1

/etc/portage/package.keywords:

=x11-proto/glproto-1.4.15-r1
=media-libs/mesa-8.0.3-r1

Update der qt-* Pakete von 4.7.4 nach 4.8.2 ist nicht möglich

Vorher alle alten qt-* Pakete deinstallieren:

emerge --unmerge qt-core qt-dbus qt-declarative qt-gui qt-opengl qt-qt3support qt-script qt-sql qt-svg qt-test qt-webkit qt-xmlpatterns

Dann:

emerge --ask --update --deep --newuse world